<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .checkboxes {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
    </style>
</head>

<body>
    <div class="checkboxes">
        <label><input type="checkbox" id="checkboxred" onchange="backgroundcolor()"> Red</label>
        <label><input type="checkbox" id="checkboxgreen" onchange="backgroundcolor()"> Green</label>
        <label><input type="checkbox" id="checkboxblue" onchange="backgroundcolor()"> Blue</label>
    </div>
</body>
<script>
    let red = document.getElementById("checkboxred")
    let green = document.getElementById("checkboxgreen")
    let blue = document.getElementById("checkboxblue")

    function backgroundcolor() {
        if (red.checked && green.checked) {
            document.body.style.backgroundColor = 'yellow';
        } else if (green.checked && blue.checked) {
            document.body.style.backgroundColor = 'cyan';
        } else if (red.checked && blue.checked) {
            document.body.style.backgroundColor = 'purple';
        } else if (red.checked) {
            document.body.style.backgroundColor = 'red';
        } else if (green.checked) {
            document.body.style.backgroundColor = 'green';
        } else if (blue.checked) {
            document.body.style.backgroundColor = 'blue';
        }
        }
</script>

</html>